petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESView

Prints the SNES data structure.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESView(SNES snes,PetscViewer viewer)

Collective on SNES Many br

### Input Parameters

| SNES | - the SNES context Many br
| viewer | - visualization context Many br

### Options Database Key

-snes_view -Calls SNESView() at end of SNESSolve() Many br

### Notes

The available visualization contexts include Many br

| PETSC_VIEWER_STDOUT_SELF | - standard output (default) Many br
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard Many broutput where only the first processor opens Many brthe file. All other processors send their Many brdata to the first processor to print. Many br

The user can open an alternative visualization context with Many brPetscViewerASCIIOpen() - output to a specified file. Many br

Many br

### Keywords

SNES, view

### See Also

PetscViewerASCIIOpen()

Level:beginner
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages